Update a counterpart's address

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

address_idstringRequired
counterpart_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
citystringOptional<=255 characters
City name.
countryenumOptional
Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
line1stringOptional<=255 characters
Street address.
line2stringOptional<=255 characters

Additional address information (if any).

postal_codestringOptional<=255 characters
ZIP or postal code.
statestringOptional<=255 characters
State, region, province, or county.

Response

Successful Response
idstringformat: "uuid"
Unique ID of the address in the system
citystring<=255 characters
City name.
counterpart_idstringformat: "uuid"
ID of the counterpart that owns the address.
countryenum
Two-letter ISO country code ([ISO 3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2)).
line1string<=255 characters
Street address.
postal_codestring<=255 characters
ZIP or postal code.
line2string<=255 characters

Additional address information (if any).

statestring<=255 characters
State, region, province, or county.

Errors

401
Patch Counterparts ID Addresses ID Request Unauthorized Error
403
Patch Counterparts ID Addresses ID Request Forbidden Error
404
Patch Counterparts ID Addresses ID Request Not Found Error
422
Patch Counterparts ID Addresses ID Request Unprocessable Entity Error
429
Patch Counterparts ID Addresses ID Request Too Many Requests Error